<?php

namespace ZenoChatbot\Framework\Support;

class HigherOrderTapProxy
{
    protected $target;

    public function __construct($target)
    {
        $this->target = $target;
    }

    public function __call($method, $parameters)
    {
        $this->target->{$method}(...$parameters);

        return $this->target;
    }
}
